Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Thread_Barrier Class Reference

Implements "barrier synchronization" using ACE_Thread_Mutexes! More...

`#include <Barrier.h>`

Inheritance diagram for ACE_Thread_Barrier:

[legend]
Collaboration diagram for ACE_Thread_Barrier:

[legend]
List of all members.

## Public Member Functions
| ACE_Thread_Barrier (unsigned int count, const ACE_TCHAR *name=0)
| Create a Thread_Barrier, passing in the optional name.
| ~ACE_Thread_Barrier (void)
| Default dtor.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Implements "barrier synchronization" using ACE_Thread_Mutexes!

This class is just a simple wrapper for ACE_Barrier that selects the USYNC_THREAD variant for the locks.

## Constructor & Destructor Documentation

ACE_Thread_Barrier::ACE_Thread_Barrier | ( | unsigned int | count,
|  | const ACE_TCHAR * | name = `0`
| ) |

| Create a Thread_Barrier, passing in the optional name.

ACE_INLINE ACE_Thread_Barrier::~ACE_Thread_Barrier | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

void ACE_Thread_Barrier::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Barrier.

## Member Data Documentation

ACE_Thread_Barrier::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Barrier.

The documentation for this class was generated from the following files:

- Barrier.h
- Barrier.cpp
- Barrier.inl